summaryrefslogtreecommitdiff
path: root/.jenkins
diff options
context:
space:
mode:
Diffstat (limited to '.jenkins')
-rwxr-xr-x.jenkins/build.sh7
-rwxr-xr-x.jenkins/test.sh14
2 files changed, 18 insertions, 3 deletions
diff --git a/.jenkins/build.sh b/.jenkins/build.sh
index 4dda8e237c..cb09d0cff8 100755
--- a/.jenkins/build.sh
+++ b/.jenkins/build.sh
@@ -74,7 +74,7 @@ fi
if [[ "$BUILD_ENVIRONMENT" != *cuda* ]]; then
echo "Testing ATen"
- time tools/run_aten_tests.sh
+ ( unset LD_PRELOAD; time tools/run_aten_tests.sh )
fi
# Test C FFI plugins
@@ -99,7 +99,8 @@ fi
if [[ "$BUILD_ENVIRONMENT" == *pytorch-linux-xenial-cuda9-cudnn7-py3 ]] || \
[[ "$BUILD_ENVIRONMENT" == *pytorch-linux-trusty-py3.6-gcc7.2 ]]; then
echo "Building libtorch with NO_PYTHON"
- pushd tools/cpp_build || exit 1
- bash build_all.sh
+ LIBTORCH_INSTALL_PREFIX=`pwd`/../libtorch
+ pushd tools/cpp_build
+ bash build_all.sh "$LIBTORCH_INSTALL_PREFIX" || exit 1
popd
fi
diff --git a/.jenkins/test.sh b/.jenkins/test.sh
index 7b6284dbac..9d293a06cf 100755
--- a/.jenkins/test.sh
+++ b/.jenkins/test.sh
@@ -65,3 +65,17 @@ rm -rf ninja
pushd vision
time python setup.py install
popd
+
+if [[ "$BUILD_ENVIRONMENT" == *pytorch-linux-xenial-cuda9-cudnn7-py3 ]] || \
+ [[ "$BUILD_ENVIRONMENT" == *pytorch-linux-trusty-py3.6-gcc7.2 ]]; then
+ echo "Testing libtorch with NO_PYTHON"
+ LIBTORCH_INSTALL_PREFIX=`pwd`/../libtorch
+ pushd tools/cpp_build
+
+ if [[ "$BUILD_ENVIRONMENT" == *cuda* ]]; then
+ "$LIBTORCH_INSTALL_PREFIX"/bin/test_jit
+ else
+ "$LIBTORCH_INSTALL_PREFIX"/bin/test_jit "[cpu]"
+ fi
+ popd
+fi